## org.omg.GIOP
Class RequestHeader_1_1

    java.lang.Object
      |
      +--org.omg.GIOP.RequestHeader_1_1

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class RequestHeader_1_1
extends java.lang.Object
implements IDLEntity

Struct definition : RequestHeader_1_1

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte[]` `object_key` Struct member object_key
`java.lang.String` `operation` Struct member operation
`int` `request_id` Struct member request_id
`byte[]` `requesting_principal` Struct member requesting_principal
`byte[]` `reserved` Struct member reserved
`boolean` `response_expected` Struct member response_expected
`ServiceContext[]` `service_context` Struct member service_context

Constructor Summary
`RequestHeader_1_1()` Default constructor
`RequestHeader_1_1(ServiceContext[] service_context, int request_id, boolean response_expected, byte[] reserved, byte[] object_key, java.lang.String operation, byte[] requesting_principal)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_context

    public ServiceContext[] service_context

  Struct member service_context

### request_id

    public int request_id

  Struct member request_id

### response_expected

    public boolean response_expected

  Struct member response_expected

### reserved

    public byte[] reserved

  Struct member reserved

### object_key

    public byte[] object_key

  Struct member object_key

### operation

    public java.lang.String operation

  Struct member operation

### requesting_principal

    public byte[] requesting_principal

  Struct member requesting_principal

Constructor Detail

### RequestHeader_1_1

    public RequestHeader_1_1()

  Default constructor

### RequestHeader_1_1

    public RequestHeader_1_1(ServiceContext[] service_context,
                             int request_id,
                             boolean response_expected,
                             byte[] reserved,
                             byte[] object_key,
                             java.lang.String operation,
                             byte[] requesting_principal)

  Constructor with fields initialization
  Parameters:
    `service_context` - service_context struct member
    `request_id` - request_id struct member
    `response_expected` - response_expected struct member
    `reserved` - reserved struct member
    `object_key` - object_key struct member
    `operation` - operation struct member
    `requesting_principal` - requesting_principal struct member